Workday – Gotchas

Service ID: workday

Workday is a leading provider of enterprise cloud applications for finance, HR, and planning. Founded in 2005, Workday delivers financial management, human capital management, and analytics applications designed for the world’s largest companies, educational institutions, and government agencies. Organizations ranging from medium-sized businesses to Fortune 50 enterprises have selected Workday.

⚠️

15 gotchas across 7 resources

These are connector-specific behaviors and limitations to be aware of when integrating.

Categories2 gotchas

allcategoriesAll

It is required to pass the filter[type] parameter to the request. For supplier categories, use the `supplier` value. For resource/spend categories, use the `expense` value. For revenue categories, use the `revenue` value.

onecategoriesOne

It is required to pass the filter[type] parameter to the request. For supplier categories, use the `supplier` value. For resource/spend categories, use the `expense` value. For revenue categories, use the `revenue` value.

Departments1 gotcha

alldepartmentsAll

Departments resource is not supported in Workday.

Invoice Items4 gotchas

allinvoiceItemsAll

It is required to provide `transaction_type` filter in the request parameters. If `transaction_type` is `purchase`, purchase-items will be returned. If `transaction_type` is `sale`, sales-items will be returned.

addinvoiceItemsAdd

It is required to provide `sold` and `purchased` fields in the request body. If `sold` is true, sales-item will be created. If `purchased` is true, purchase-item will be created.

oneinvoiceItemsOne

It is required to provide `transaction_type` filter in the request parameters. If `transaction_type` is `purchase`, purchase-item will be returned. If `transaction_type` is `sale`, sales-item will be returned.

updateinvoiceItemsUpdate

It is required to provide `sold` and `purchased` fields in the request body. If `sold` is true, sales-item will be created. If `purchased` is true, purchase-item will be created.

Invoices2 gotchas

addinvoicesAdd

It is required to provide tracking_categories.id in the line items, which corresponds to the worktag/cost_center_id in Workday. It is required to provide the item.id in the line items.

updateinvoicesUpdate

It is required to provide tracking_categories.id in the line items, which corresponds to the worktag/cost_center_id in Workday. It is required to provide the item.id in the line items. Workday only supports `sales_item` and `service` types for line items and this is required.

addjournalEntriesAdd

Status should be set to "draft" or "posted". Default status is "draft". Only Journal Entries with `draft` status can be updated. It is required to provide Cost_Center_Reference_ID as worktag in the line items, otherwise the status will automatically be set to "draft".

updatejournalEntriesUpdate

Status should be set to "draft" or "posted". Default status is "draft". Only Journal Entries with `draft` status can be updated.

allpurchaseOrdersAll

When using the `supplier_id` filter, the `updated_since` filter should also be included.

addpurchaseOrdersAdd

It is required to provide supplier.id, issued_date, company_id. Required fields for line items: tracking_categories.id (maps to Workday worktag/cost_center_id), description, category_id, budget, total_amount and type (must be either `sales_item` or `service`). For `sales_item` type, it is required to provide quantity, unit_price and unit_of_measure. To create a purchase order with a status `draft`, you need to provide the `status` field with a value `draft`. Default status is `open` (approved).

updatepurchaseOrdersUpdate

It is required to provide supplier.id, issued_date, company_id. Required fields for line items: tracking_categories.id (maps to Workday worktag/cost_center_id), description, category_id, budget, total_amount and type (must be either `sales_item` or `service`). For `sales_item` type, it is required to provide quantity, unit_price and unit_of_measure. Note: Only purchase orders with status `draft` can be updated.

Suppliers1 gotcha

addsuppliersAdd

In Workday, the supplier_category, display_name, addresses, emails, company_id, currency, terms, and payment_method fields are required to create a supplier. display_name and company_id should be same.